{"title":"Get entity defaultDimensions","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an item default dimension in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get entity defaultDimensions","slug":"get-entity-defaultdimensions","at":0,"chars":1835},{"level":2,"title":"HTTP request","slug":"http-request","at":93,"chars":602},{"level":2,"title":"Request header","slug":"request-header","at":695,"chars":71},{"level":2,"title":"Request body","slug":"request-body","at":766,"chars":61},{"level":2,"title":"Response","slug":"response","at":827,"chars":121},{"level":2,"title":"Example","slug":"example","at":948,"chars":651},{"level":2,"title":"Related information","slug":"related-information","at":1599,"chars":236}],"text":"# Get entity defaultDimensions\nGets the default dimensions of an entity in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\nThe following example gets the default dimensions of an entity.\n```\nGET businesscentralPrefix/companies({id})/defaultDimensions({id})\nGET businesscentralPrefix/companies({id})/items({id})/defaultDimensions({id})\nGET businesscentralPrefix/companies({id})/customers({id})/defaultDimensions({id})\nGET businesscentralPrefix/companies({id})/vendors({id})/defaultDimensions({id})\nGET businesscentralPrefix/companies({id})/employees({id})/defaultDimensions({id})\n```\n## Request header\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a `200 OK` response code and the default dimensions in the response body.\n## Example\nRequest\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/defaultDimensions\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"5b049aad-bde4-ea11-bbf2-00155df3a615\",\n    \"parentId\": \"53049aad-bde4-ea11-bbf2-00155df3a615\",\n    \"dimensionId\": \"47c99ea7-bde4-ea11-bbf2-00155df3a615\",\n    \"dimensionCode\": \"DEPARTMENT\",\n    \"dimensionValueId\": \"49c99ea7-bde4-ea11-bbf2-00155df3a615\",\n    \"dimensionValueCode\": \"SALES\",\n    \"postingValidation\": \" \"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_defaultdimension\ndynamics_defaultdimension_delete\ndynamics_defaultdimension_create\ndynamics_defaultdimension_update"}